Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #303

Modplug shows quite some playback issues with various Module Files
June 06, 2013 19:50 - Roland Haslinger

Status: Rejected Start date: June 06, 2013
Priority: Minor Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Affects version:

Description

Hello, Since i am normally not really reporting Bugs, if i make something wrong, be patient :)

Problem is, the Modplug Playback File has various issues with different Module Songs, it shows itself as crackling, very disturbing
background noise or general sample/sound glitches.

Guess best option would be to change Modplug dil against another source which works out for Linux/Windows Program Versions,
which show more compatibility with newer Module Formats like XM and IT :)

Thanks!

History

#1 - June 06, 2013 23:51 - John Lindgren

We use libmodplug from https://sourceforge.net/projects/modplug-xmms/files/libmodplug/. Do you have an alternative in mind?

#2 - June 07, 2013 00:07 - Roland Haslinger

John Lindgren wrote:

We use libmodplug from https://sourceforge.net/projects/modplug-xmms/files/libmodplug/. Do you have an alternative in mind?

Under Windows there is a good playback system called bass, from the xmplay maker - Project page is http://www.un4seen.com/bassmod.html

Guess you have to contact the owner about terms how to use if or if it is possible to use it. Seems it supports also Linux

But in terms of raw ability to playback old computer Music http://xmp.sourceforge.net/ seems to be also quite a worthy try.

Well, i am not that kind of clever guy that i know much about playback routines, otherwise i would not have opened that bug request :D

Perhaps you have a worthy suggestion? :)

#3 - June 08, 2013 20:39 - John Lindgren

BASS seems to be proprietary software, so | have no interest in writing or maintaining a plugin for it.

July 11, 2025 1/2



https://sourceforge.net/projects/modplug-xmms/files/libmodplug/
https://sourceforge.net/projects/modplug-xmms/files/libmodplug/
http://www.un4seen.com/bassmod.html
http://xmp.sourceforge.net/

Old versions of XMP included an Audacious plugin, which Debian is still maintaining in their "xmp-audacious" package. You might try it and see if it
gives better results than ModPlug.

#4 - June 09, 2013 17:54 - John Lindgren

- Status changed from New to Rejected

Closing since this is an upstream libmodplug bug (or bugs). Give xmp-audacious a try, and if it works well, | might consider including it in
audacious-plugins.

#5 - July 03, 2013 17:36 - Michael Schwendt

It's not just "old versions of XMP". Recently, after XMP has become a separate library, the Audacious plugin has been split off into a separate project:
https://qgithub.com/cmatsuoka/xmp-plugin-audacious

#6 - November 27, 2018 06:36 - Jonathan Rubenstein

- File necros_-_spatial _distortion.dsm added

| suggest switching to libopenmpt, since the audacious xmp plugin does not appear to be maintained anymore. https:/lib.openmpt.org/li nm

Chris Spiegel has created a working audacious plugin for this already, however his repo does not currently feature a code license.
https://github.com/cspiegel/audacious-openmpt You might be able to get into a dialog with him about absorbing it into the audacious-plugins repo. His
email listed in the git commit log is cspiegel on gmail.

libopenmpt should support all the same modules, you can see them here under Supported file formats https://openmpt.org/features

I've used this plugin for a while and it works great in my experience. I've attached one module that libmodplug does not handle very well, but
libopenmpt can take it just fine.

Files

necros_-_spatial_distortion.dsm 228 KBNovember 27, 2018 Jonathan Rubenstein
